/** written by olaf booij
 *  public domain */

#ifndef QRSMURRIE_FLOK_OF_STRINGS_HPP_INCLUDE
#define QRSMURRIE_FLOK_OF_STRINGS_HPP_INCLUDE

#include <string>
#include <vector>
#include <algorithm>
#include <qrsmurrie/random_string.hpp>
#include <boost/foreach.hpp>
#define foreach BOOST_FOREACH

namespace qrsmurrie {

  typedef std::vector< std::string > Flok;
  Flok randomFlok(const unsigned nr_of_strings, const unsigned string_size)
  {
    Flok flok(nr_of_strings);
    foreach(std::string& aString, flok)
      aString = generate_random_string(string_size);
    return(flok);
  }
}

#endif // QRSMURRIE_FLOK_OF_STRINGS_HPP_INCLUDE

