/** written by olaf booij
 *  public domain */

#ifndef QRSMURRIE_SUMQRS_HPP_INCLUDE
#define QRSMURRIE_SUMQRS_HPP_INCLUDE

namespace qrsmurrie {

  template< typename QRsumT, typename QRcodeT >
  void addQRToSum(QRsumT& qrsum, const QRcodeT& qrcode)
  {
    if(qrsum.size() == getNrOfQRValues(qrcode));
      for(unsigned fenoI = 0; fenoI < qrsum.size(); ++fenoI)
        if(getQRValue(qrcode, fenoI))
          ++qrsum.at(fenoI);
  }

  template< typename QRcodesT >
  std::vector< unsigned > sumQRs(const QRcodesT& qrcodes)
  {
    if(qrcodes.empty())
      return(std::vector< unsigned >());
    typedef typename QRcodesT::value_type QRcodeT; // hmmm, should use auto
    std::vector< unsigned > qrsum(getNrOfQRValues((*qrcodes.at(0))), 0);
    foreach(QRcodeT qrcode, qrcodes)
      addQRToSum(qrsum, *qrcode);
    return(qrsum);
  }

  typedef std::vector< unsigned > QRsum;


}

#endif // QRSMURRIE_SUMQRS_HPP_INCLUDE

